aagc.vo

## Class SetPrestazionePianoTerapeuticoRequest

- java.lang.Object
- - aagc.vo.SetPrestazionePianoTerapeuticoRequest

-     public class SetPrestazionePianoTerapeuticoRequest
      extends java.lang.Object

  Classe Java per setPrestazionePianoTerapeuticoRequest complex type.

  Il seguente frammento di schema specifica il contenuto previsto contenuto in questa classe.

       <complexType name="setPrestazionePianoTerapeuticoRequest">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="codMinisteriale" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]*"/>
                     <maxLength value="10"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="atc">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <pattern value="[a-zA-Z0-9]+"/>
                     <maxLength value="7"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="posologia" minOccurs="0">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="250"/>
                   </restriction>
                 </simpleType>
               </element>
               <element name="formaFarmaco">
                 <simpleType>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                     <maxLength value="30"/>
                   </restriction>
                 </simpleType>
               </element>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `atc`
    `protected java.lang.String` | `codMinisteriale`
    `protected java.lang.String` | `formaFarmaco`
    `protected java.lang.String` | `posologia`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SetPrestazionePianoTerapeuticoRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAtc()` Recupera il valore della proprietà atc.
    `java.lang.String` | `getCodMinisteriale()` Recupera il valore della proprietà codMinisteriale.
    `java.lang.String` | `getFormaFarmaco()` Recupera il valore della proprietà formaFarmaco.
    `java.lang.String` | `getPosologia()` Recupera il valore della proprietà posologia.
    `void` | `setAtc(java.lang.String value)` Imposta il valore della proprietà atc.
    `void` | `setCodMinisteriale(java.lang.String value)` Imposta il valore della proprietà codMinisteriale.
    `void` | `setFormaFarmaco(java.lang.String value)` Imposta il valore della proprietà formaFarmaco.
    `void` | `setPosologia(java.lang.String value)` Imposta il valore della proprietà posologia.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### codMinisteriale

          protected java.lang.String codMinisteriale

    - #### atc

          protected java.lang.String atc

    - #### posologia

          protected java.lang.String posologia

    - #### formaFarmaco

          protected java.lang.String formaFarmaco

  - ### Constructor Detail

    - #### SetPrestazionePianoTerapeuticoRequest

          public SetPrestazionePianoTerapeuticoRequest()

  - ### Method Detail

    - #### getCodMinisteriale

          public java.lang.String getCodMinisteriale()

      Recupera il valore della proprietà codMinisteriale.
      Returns:
        possible object is `String`

    - #### setCodMinisteriale

          public void setCodMinisteriale(java.lang.String value)

      Imposta il valore della proprietà codMinisteriale.
      Parameters:
        `value` - allowed object is `String`

    - #### getAtc

          public java.lang.String getAtc()

      Recupera il valore della proprietà atc.
      Returns:
        possible object is `String`

    - #### setAtc

          public void setAtc(java.lang.String value)

      Imposta il valore della proprietà atc.
      Parameters:
        `value` - allowed object is `String`

    - #### getPosologia

          public java.lang.String getPosologia()

      Recupera il valore della proprietà posologia.
      Returns:
        possible object is `String`

    - #### setPosologia

          public void setPosologia(java.lang.String value)

      Imposta il valore della proprietà posologia.
      Parameters:
        `value` - allowed object is `String`

    - #### getFormaFarmaco

          public java.lang.String getFormaFarmaco()

      Recupera il valore della proprietà formaFarmaco.
      Returns:
        possible object is `String`

    - #### setFormaFarmaco

          public void setFormaFarmaco(java.lang.String value)

      Imposta il valore della proprietà formaFarmaco.
      Parameters:
        `value` - allowed object is `String`